org.eclipse.actf.model.flash

## Class ASAccInfo

- java.lang.Object
- - org.eclipse.actf.model.flash.ASAccInfo

    public class ASAccInfo
    extends Object

ASAccInfo stores accessibility information of ActionScript `Object`.

See Also:
  `ASObject`

### Method Summary

Methods
`static ASAccInfo` `create(ASObject target)` Create `ASAccInfo` from `ASObject`
`Object` `get(String prop)` Get the value for a given key.
`String` `getDefaultAction()`
`String` `getDescription()`
`Set<String>` `getKeys()` Gets the set of keys of the target AS Object.
`String` `getName()`
`int` `getRole()`
`String` `getShortcut()`
`int` `getState()`
`boolean` `isForceSimple()`
`boolean` `isSilent()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static ASAccInfo create(ASObject target)

Create `ASAccInfo` from `ASObject`

Parameters:
  `target` - target `ASObject`
Returns:
  `ASAccInfo` or null if not available

#### getRole

    public int getRole()

Returns:
  role
See Also:
  `IFlashConst.ACCINFO_ROLE`

#### getState

    public int getState()

Returns:
  state
See Also:
  `IFlashConst.ACCINFO_STATE`

#### isSilent

    public boolean isSilent()

Returns:
  isSilent
See Also:
  `IFlashConst.ACCINFO_SILENT`

#### isForceSimple

    public boolean isForceSimple()

Returns:
  isForceSimple
See Also:
  `IFlashConst.ACCINFO_FORCESIMPLE`

#### getName

    public String getName()

Returns:
  name
See Also:
  `IFlashConst.ACCINFO_NAME`

#### getDescription

    public String getDescription()

Returns:
  description
See Also:
  `IFlashConst.ACCINFO_DESCRIPTION`

#### getShortcut

    public String getShortcut()

Returns:
  shortcut
See Also:
  `IFlashConst.ACCINFO_SHORTCUT`

#### getDefaultAction

    public String getDefaultAction()

Returns:
  default action
See Also:
  `IFlashConst.ACCINFO_DEFAULTACTION`

#### get

    public Object get(String prop)

Get the value for a given key.

Parameters:
  `prop` - name of a key
Returns:
  the value for the given key

#### getKeys

    public Set<String> getKeys()

Gets the set of keys of the target AS Object.

Returns:
  The `Set` of the keys.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`